Bug 125965 - mozilla crashes when loading Japanese fonts
Summary: mozilla crashes when loading Japanese fonts
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-14 16:34 UTC by Stefan Llewellyn Smith
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 2.3.93-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 12:55:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Llewellyn Smith 2004-06-14 16:34:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
mozilla crashes when loading a page which contains Japanese fonts or
when trying to view an e-mail message with Japanese fonts

Version-Release number of selected component (if applicable):
mozilla-1.6-8

How reproducible:
Always

Steps to Reproduce:
1. Start mozilla (with or without lang=ja_JP)
2. Go to a page like http://linear.mv.com/cgi-bin/j-e/euc/dict
3.
    

Actual Results:  Crash

Expected Results:  View page

Additional info:

I'm aware of http://www.linuxcompatible.org/print23546.html but the
problem appears to exist in Fedora Core 2. I don't know if it's an
effect of my system having been upgraded from RH9 rather than being a
fresh install.

Comment 1 H.J. Lu 2004-07-14 03:13:55 UTC
It is an installer bug. After upgrade, the installer should do
something equivalent to

# locate fonts.cache | xargs rm -f

Otherwise, applications may try to use the fonts removed during
upgrade, which are still in the fonts cache. You can do it by
hand after upgrade.

Comment 2 Stefan Llewellyn Smith 2004-07-14 10:36:50 UTC
This fixes the problem for me.

Comment 3 Matthew Miller 2005-04-26 15:04:26 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 4 John Thacker 2006-04-28 12:55:41 UTC
Closing, based on the Legacy comments and since changes in fontconfig's
caching should fix this problem in FC5 since at least 2.3.93-2


Note You need to log in before you can comment on or make changes to this bug.